Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamNamespaceDeclaration

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlStreamNamespaceDeclaration

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QXmlStreamNamespaceDeclaration

extends QtJambiObject
implements java.lang.Cloneable

The `QXmlStreamNamespaceDeclaration` class represents a namespace declaration. An namespace declaration consists of a `prefix()` and a `namespaceUri()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlStreamNamespaceDeclaration()` Creates an empty namespace declaration.
`QXmlStreamNamespaceDeclaration(QXmlStreamNamespaceDeclaration arg__1)` Creates a copy of `other`.
`QXmlStreamNamespaceDeclaration(java.lang.String prefix, java.lang.String namespaceUri)` Creates a namespace declaration with `prefix` and `namespaceUri`.

Method Summary
`QXmlStreamNamespaceDeclaration` | `clone()` This method is reimplemented for internal reasons
`static QXmlStreamNamespaceDeclaration` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlStreamNamespaceDeclaration instance pointed to by `nativePointer`.
`java.lang.String` | `namespaceUri()` Returns the `namespaceUri`.
`static QNativePointer` | `nativePointerArray(QXmlStreamNamespaceDeclaration[] array)` This function returns a QNativePointer that is pointing to the specified QXmlStreamNamespaceDeclaration array.
`java.lang.String` | `prefix()` Returns the prefix.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlStreamNamespaceDeclaration

    public QXmlStreamNamespaceDeclaration()

  Creates an empty namespace declaration.

### QXmlStreamNamespaceDeclaration

    public QXmlStreamNamespaceDeclaration(java.lang.String prefix,
                                          java.lang.String namespaceUri)

  Creates a namespace declaration with `prefix` and `namespaceUri`.

### QXmlStreamNamespaceDeclaration

    public QXmlStreamNamespaceDeclaration(QXmlStreamNamespaceDeclaration arg__1)

  Creates a copy of `other`.

Method Detail

### namespaceUri

    public final java.lang.String namespaceUri()

  Returns the `namespaceUri`.

### prefix

    public final java.lang.String prefix()

  Returns the prefix.

### fromNativePointer

    public static QXmlStreamNamespaceDeclaration fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlStreamNamespaceDeclaration instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlStreamNamespaceDeclaration[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlStreamNamespaceDeclaration array.

### clone

    public QXmlStreamNamespaceDeclaration clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD